Index: trunk/HeuristicLab.Problems.ExternalEvaluation.Matlab/3.3/HeuristicLab.Problems.ExternalEvaluation.Matlab-3.3.csproj
===================================================================
--- trunk/HeuristicLab.Problems.ExternalEvaluation.Matlab/3.3/HeuristicLab.Problems.ExternalEvaluation.Matlab-3.3.csproj	(revision 15682)
+++ trunk/HeuristicLab.Problems.ExternalEvaluation.Matlab/3.3/HeuristicLab.Problems.ExternalEvaluation.Matlab-3.3.csproj	(revision 16565)
@@ -10,5 +10,5 @@
     <RootNamespace>HeuristicLab.Problems.ExternalEvaluation.Matlab</RootNamespace>
     <AssemblyName>HeuristicLab.Problems.ExternalEvaluation.Matlab-3.3</AssemblyName>
-    <TargetFrameworkVersion>v4.5</TargetFrameworkVersion>
+    <TargetFrameworkVersion>v4.6.1</TargetFrameworkVersion>
     <FileAlignment>512</FileAlignment>
     <TargetFrameworkProfile />
@@ -80,4 +80,10 @@
   </PropertyGroup>
   <ItemGroup>
+    <Reference Include="Google.Protobuf, Version=3.6.1.0, Culture=neutral, PublicKeyToken=a7d26565bac4d604, processorArchitecture=MSIL">
+      <HintPath>..\..\packages\Google.Protobuf.3.6.1\lib\net45\Google.Protobuf.dll</HintPath>
+    </Reference>
+    <Reference Include="HEAL.Attic, Version=1.0.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL">
+      <HintPath>..\..\packages\HEAL.Attic.1.0.0-pre01\lib\netstandard2.0\HEAL.Attic.dll</HintPath>
+    </Reference>
     <Reference Include="Interop.MLApp">
       <HintPath>..\..\bin\Interop.MLApp.dll</HintPath>
@@ -87,4 +93,7 @@
     <Reference Include="System.Core" />
     <Reference Include="System.Drawing" />
+    <Reference Include="System.Drawing.Common, Version=4.0.0.1, Culture=neutral, PublicKeyToken=cc7b13ffcd2ddd51, processorArchitecture=MSIL">
+      <HintPath>..\..\packages\System.Drawing.Common.4.5.1\lib\net461\System.Drawing.Common.dll</HintPath>
+    </Reference>
     <Reference Include="System.Windows.Forms" />
     <Reference Include="System.Xml.Linq" />
@@ -102,4 +111,5 @@
   <ItemGroup>
     <None Include="HeuristicLab.snk" />
+    <None Include="packages.config" />
     <None Include="Plugin.cs.frame" />
     <None Include="Properties\AssemblyInfo.cs.frame" />
Index: trunk/HeuristicLab.Problems.ExternalEvaluation.Matlab/3.3/MatlabParameterOptimizationProblem.cs
===================================================================
--- trunk/HeuristicLab.Problems.ExternalEvaluation.Matlab/3.3/MatlabParameterOptimizationProblem.cs	(revision 15682)
+++ trunk/HeuristicLab.Problems.ExternalEvaluation.Matlab/3.3/MatlabParameterOptimizationProblem.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -24,10 +24,10 @@
 using HeuristicLab.Data;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 using HeuristicLab.Problems.ParameterOptimization;
 
 namespace HeuristicLab.Problems.ExternalEvaluation.Matlab {
   [Item("MATLAB Parameter Optimization Problem", "Optimization of a parameter vector which is evaluated in MATLAB.")]
-  [StorableClass]
+  [StorableType("CC937102-7280-484C-BB85-88C357E31C6B")]
   [Creatable(CreatableAttribute.Categories.ExternalEvaluationProblems, Priority = 110)]
   public class MatlabParameterOptimizationProblem : ParameterOptimizationProblem {
@@ -62,5 +62,5 @@
 
     [StorableConstructor]
-    protected MatlabParameterOptimizationProblem(bool deserializing) : base(deserializing) { }
+    protected MatlabParameterOptimizationProblem(StorableConstructorFlag _) : base(_) { }
     protected MatlabParameterOptimizationProblem(MatlabParameterOptimizationProblem original, Cloner cloner)
       : base(original, cloner) {
Index: trunk/HeuristicLab.Problems.ExternalEvaluation.Matlab/3.3/MatlabParameterVectorEvaluator.cs
===================================================================
--- trunk/HeuristicLab.Problems.ExternalEvaluation.Matlab/3.3/MatlabParameterVectorEvaluator.cs	(revision 15682)
+++ trunk/HeuristicLab.Problems.ExternalEvaluation.Matlab/3.3/MatlabParameterVectorEvaluator.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -27,10 +27,10 @@
 using HeuristicLab.Data;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 using HeuristicLab.Problems.ParameterOptimization;
 
 namespace HeuristicLab.Problems.ExternalEvaluation.Matlab {
   [Item("MATLABParameterVectorEvaluator", "An evaluator which takes a parameter vector and returns a quality value, calculated by a MATLAB script.")]
-  [StorableClass]
+  [StorableType("C1BE88E2-B48F-4EB6-9F9F-25082639DA5C")]
   public sealed class MatlabParameterVectorEvaluator : ParameterVectorEvaluator {
     private const string QualityVariableParameterName = "QualityVariableName";
@@ -51,5 +51,5 @@
 
     [StorableConstructor]
-    private MatlabParameterVectorEvaluator(bool deserializing) : base(deserializing) { }
+    private MatlabParameterVectorEvaluator(StorableConstructorFlag _) : base(_) { }
     private MatlabParameterVectorEvaluator(MatlabParameterVectorEvaluator original, Cloner cloner)
       : base(original, cloner) {
Index: trunk/HeuristicLab.Problems.ExternalEvaluation.Matlab/3.3/Plugin.cs.frame
===================================================================
--- trunk/HeuristicLab.Problems.ExternalEvaluation.Matlab/3.3/Plugin.cs.frame	(revision 15682)
+++ trunk/HeuristicLab.Problems.ExternalEvaluation.Matlab/3.3/Plugin.cs.frame	(revision 16565)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: trunk/HeuristicLab.Problems.ExternalEvaluation.Matlab/3.3/Properties/AssemblyInfo.cs.frame
===================================================================
--- trunk/HeuristicLab.Problems.ExternalEvaluation.Matlab/3.3/Properties/AssemblyInfo.cs.frame	(revision 15682)
+++ trunk/HeuristicLab.Problems.ExternalEvaluation.Matlab/3.3/Properties/AssemblyInfo.cs.frame	(revision 16565)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: trunk/HeuristicLab.Problems.ExternalEvaluation.Matlab/3.3/packages.config
===================================================================
--- trunk/HeuristicLab.Problems.ExternalEvaluation.Matlab/3.3/packages.config	(revision 16565)
+++ trunk/HeuristicLab.Problems.ExternalEvaluation.Matlab/3.3/packages.config	(revision 16565)
@@ -0,0 +1,6 @@
+﻿<?xml version="1.0" encoding="utf-8"?>
+<packages>
+  <package id="Google.Protobuf" version="3.6.1" targetFramework="net461" />
+  <package id="HEAL.Attic" version="1.0.0-pre01" targetFramework="net461" />
+  <package id="System.Drawing.Common" version="4.5.1" targetFramework="net461" />
+</packages>
